Cancel an active Robot action
Request cancellation for one queued or running Robot action. A queued action is cancelled before it starts. A running action forwards the cancellation request to the Robot session coordinator. Other action runs in the same Trail run continue independently.
/trails/{trail_id}/runs/{run_id}/actions/{action_run_id}/cancellationRequest cancellation for one queued or running Robot action. A queued action is cancelled before it starts. A running action forwards the cancellation request to the Robot session coordinator. Other action runs in the same Trail run continue independently.
In: cookie
Path Parameters
A unique identifier for this resource.
A unique identifier for this resource.
A unique identifier for this resource.
Response Body
application/json
curl -X PUT "https://example.com/trails/cc5lnd2s1s4652adtu50/runs/cc5lnd2s1s4652adtu50/actions/cc5lnd2s1s4652adtu50/cancellation"{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Update a robot workspace PATCH
Update a reusable Robot workspace template.
Create a Trail POST
Create a Trail with one trigger and one or more action bindings. The server records the requesting account as the creator and validates the trigger, actions, and lifecycle state. An active Trail receives its next occurrence when the trigger has a future occurrence.